Name:           edelib
Version:        2.1
Release:        4%{?dist}
Summary:        Small and portable C++ library for EDE
License:        LGPLv2
URL:            http://equinox-project.org/
Source0:        http://downloads.sourceforge.net/project/ede/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         edelib-2.1-X11-ldflags-fix.patch 
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dbus-devel
BuildRequires:  doxygen
BuildRequires:  fltk-devel
BuildRequires:  gettext
BuildRequires:  jam
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libX11-devel
BuildRequires:  libXpm-devel

%description
A small and portable C++ library for EDE (Equinox Desktop Environment). Aims 
are to provide enough background for easier EDE components construction
and development.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name} libraries.

%package        doc
Summary:        Documentation for the %{name}
BuildArch:      noarch

%description    doc
This package contains document files for %{name}.

%prep
%setup -q
%patch0
# pkgconfig files don't honor the libdir path on special arches.
sed -i 's|${exec_prefix}/lib|${libdir}|g' pc/*.pc.in
# Multi-lib support
sed -i 's|/lib/edelib/sslib|%{_lib}/edelib/sslib|g' src/Scheme.cpp

%build
%configure --enable-shared --disable-static \
           --prefix=%{buildroot}%{_prefix} \
           --bindir=%{buildroot}%{_bindir} \
           --datadir=%{buildroot}%{_datadir} \
           --docdir=%{buildroot}%{_docdir} \
           --includedir=%{buildroot}%{_includedir} \
           --libdir=%{buildroot}%{_libdir}
jam -dx

%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir} \
         %{buildroot}%{_includedir} \
         %{buildroot}%{_libdir} \
         %{buildroot}%{_pkgdocdir}
jam -dx install

find %{buildroot} -name 'INSTALL' -o -name '*.la' -delete -print
# Dirty hack to not pollute the 
find %{buildroot} -type f -exec sed -i 's|%{buildroot}||' {} +

%check
#pushd test
#LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./run-all.sh

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_bindir}/edelib*
%{_libdir}/edelib/
%{_datadir}/edelib/
%{_libdir}/libedelib.so.*
%{_libdir}/libedelib_dbus.so.*
%{_libdir}/libedelib_gui.so.*

%files devel
%doc ChangeLog README
%{_includedir}/edelib/
%{_libdir}/libedelib.so
%{_libdir}/libedelib_dbus.so
%{_libdir}/libedelib_gui.so
%{_libdir}/pkgconfig/edelib*.pc

%files doc
%{_docdir}/edelib-%{version}.0/

%changelog
* Thu Jun 26 2014 Christopher Meng <rpm@cicku.me> - 2.1-4
- Library path fix again.

* Thu Jun 26 2014 Christopher Meng <rpm@cicku.me> - 2.1-3
- %%files section typo fix

* Wed Jun 25 2014 Christopher Meng <rpm@cicku.me> - 2.1-2
- NVR bump

* Tue Jun 24 2014 Christopher Meng <rpm@cicku.me> - 2.1-1
- Update to 2.1
- Fix the unusable package.
- Correct the pkgconfig libdir path.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Christopher Meng <rpm@cicku.me> - 2.0-3
- Add some missing BRs.

* Fri May 31 2013 Christopher Meng <rpm@cicku.me> - 2.0-2
- Split out the doc package.

* Tue May 21 2013 Christopher Meng <rpm@cicku.me> - 2.0-1
- Initial Package.
